Subject: 23.1; C-a unexpected behavior in minibuffer

From: Tony Robalik <[email-masked]>
Date: Mon, 15 Mar 2010 11:16:17 -0400

When finding a file (C-x C-f), I typically use C-a C-k to move to the beginning of the suggested search directory and kill it, so that I may quickly and easily type in the correct information. However, sometimes (usually not the first time I find a file in any given Emacs session), C-a moves to the very beginning of the minibuffer (before the prompt), whereupon C-k produces an error message. I then have to manually C-f or M-f to get where I want. I'm pretty sure this is not the correct behavior, at least according to: http://www.gnu.org/software/emacs/manual/html_node/emacs/Minibuffer-Edit.html. I am running Emacs 23.1 on a Windows XP machine, but I have seen this same problem on Ubuntu 9.10. Thanks.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
value of $LC_ALL: nil
value of $LC_COLLATE: nil
value of $LC_CTYPE: nil
value of $LC_MESSAGES: nil
value of $LC_MONETARY: nil
value of $LC_NUMERIC: nil
value of $LC_TIME: nil
value of $LANG: ENU
value of $XMODIFIERS: nil
locale-coding-system: cp1252
default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
recentf-mode: t
global-linum-mode: t
delete-selection-mode: t
show-paren-mode: t
tooltip-mode: t
tool-bar-mode: t
mouse-wheel-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
global-auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
column-number-mode: t
line-number-mode: t
global-visual-line-mode: t
transient-mark-mode: t

Recent input:
M-x r e p o <tab> r t SPC e <tab> <return>

Recent messages:
Loading c:/Documents and Settings/trobalik/Application Data/.recentf...done
Cleaning up the recentf list...
File c:/emacs-23.1/bin/letter removed from the recentf list
Cleaning up the recentf list...done (1 removed)
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

--

Tony Robalik | Planner
Warwick Township & Lititz Borough, Lancaster County
315 Clay Road
Lititz, PA 17543
Phone: (717) 626-8900
Fax: (717) 626-8901
www.warwicktownship.org

Please consider the environment before printing this e-mail.